using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using DevExpress.Data.Filtering;
using DevExpress.ExpressApp;
using DevExpress.ExpressApp.Actions;
using DevExpress.ExpressApp.Editors;
using DevExpress.ExpressApp.Layout;
using DevExpress.ExpressApp.Model.NodeGenerators;
using DevExpress.ExpressApp.SystemModule;
using DevExpress.ExpressApp.Templates;
using DevExpress.ExpressApp.Utils;
using DevExpress.Persistent.Base;
using DevExpress.Persistent.Validation;

namespace Nuvolar.Module.Web.CSharp.Controllers
{
    // For more typical usage scenarios, be sure to check out https://documentation.devexpress.com/eXpressAppFramework/clsDevExpressExpressAppViewControllertopic.aspx.
    public partial class APCSheet_VC : Nuvolar.Module.APCSheetVC
    {
        public APCSheet_VC()
        {
            InitializeComponent();
            // Target required Views (via the TargetXXX properties) and create their Actions.
        }
        protected override void OnActivated()
        {
            base.OnActivated();
            // Perform various tasks depending on the target View.
        }
        protected override void OnViewControlsCreated()
        {
            base.OnViewControlsCreated();
            // Access and customize the target View control.
        }
        protected override void OnDeactivated()
        {
            // Unsubscribe from previously subscribed events and release other references and resources.
            base.OnDeactivated();
        }

        public override void aAPCSheetHeader_CreateReviewSheet_Execute(object sender, PopupWindowShowActionExecuteEventArgs e)
        {
            base.aAPCSheetHeader_CreateReviewSheet_Execute(sender, e);
        }
        public override void aAPCSheet_PSPH_Print_Execute(object sender, SimpleActionExecuteEventArgs e)
        {
            base.aAPCSheet_PSPH_Print_Execute(sender, e);
        }
        public override void aPrintAPCSheet_Execute(object sender, SimpleActionExecuteEventArgs e)
        {
            base.aPrintAPCSheet_Execute(sender, e);
        }
    }
}
